const cassandra = require('cassandra-driver');
const uuidv4 = require('uuid/v4');

const SCHEMA_NAME = 'schema2';
const FILES_TABLE = 'files';

module.exports = class FileWriter {
  constructor(cassandraServer) {
    const finalServer = cassandraServer === undefined ? '127.0.0.1' : cassandraServer;
    this.client = new cassandra.Client({
      contactPoints: [finalServer],
    });
  }

  static _generateName() {
    return uuidv4();
  }

  async write(content, extension) {
    const fileName = this._generateName();
    this.client.execute(`INSERT INTO ${SCHEMA_NAME}.${FILES_TABLE}(content,extension,name)VALUES(?,?,?)`, [content, extension, fileName]);
    return fileName;
  }
}
